Bug 1005838 - Setting working directory seems to fail.
Setting working directory seems to fail.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: gluster-hadoop (Show other bugs)
mainline
x86_64 Linux
high Severity urgent
: ---
: ---
Assigned To: Bradley Childs
hcfs-gluster-bugs
: Triaged
Depends On: 1003626
Blocks: 1057253
  Show dependency treegraph
 
Reported: 2013-09-09 09:32 EDT by Jay Vyas
Modified: 2015-08-21 05:07 EDT (History)
11 users (show)

See Also:
Fixed In Version: glusterfs-glusterfs-hadoop-2.3.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1003626
Environment:
Last Closed: 2015-08-21 05:07:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Jay Vyas 2013-11-19 08:08:46 EST
For mr2.x, this patch (although it also has junit stuff in it) fixes all 
working dir issues: 
https://github.com/gluster/glusterfs-hadoop/pull/63 , and see also : 
https://github.com/gluster/glusterfs-hadoop/pull/58

For mr1.x, this minor patch to the patch fixes remaining instance of working 
directory issues: https://github.com/gluster/glusterfs-hadoop/pull/67
Comment 3 Scott Haines 2013-11-19 14:54:30 EST
Per 11/13 bug triage meeting, re-assigning to bchilds and mark high.
Comment 4 Bradley Childs 2014-04-08 13:12:56 EDT
This is working in most recent build.
Comment 6 Martin Kudlej 2014-06-27 04:52:24 EDT
Tested with 
glusterfs-3.6.0.22-1.el6rhs.x86_64
glusterfs-api-3.6.0.22-1.el6rhs.x86_64
glusterfs-cli-3.6.0.22-1.el6rhs.x86_64
glusterfs-fuse-3.6.0.22-1.el6rhs.x86_64
glusterfs-geo-replication-3.6.0.22-1.el6rhs.x86_64
glusterfs-libs-3.6.0.22-1.el6rhs.x86_64
glusterfs-rdma-3.6.0.22-1.el6rhs.x86_64
glusterfs-server-3.6.0.22-1.el6rhs.x86_64
rhs-hadoop-2.3.2-2.noarch
rhs-hadoop-install-1_22-2.el6rhs.noarch
samba-glusterfs-3.6.9-168.3.el6rhs.x86_64

and it works. -->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.